Bug 178568 - Code formating splits a variable in an object literal on some lines
Code formating splits a variable in an object literal on some lines
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: TBD
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-12-14 03:08 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 05:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
JavaFX project (63.34 KB, application/zip)
2009-12-14 03:09 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-14 03:08:06 UTC
NetBeans-JavaFX-Soma: #65

  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200)
(#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.

Steps to reproduce:

- Unzip the attached project
- Open the mathematics.graph.GraphView file
- Format the code

The construction
-----------------------------------------------------
                for(vertex in graph.vertices){
                    Group{
                            
                        var n = indexof vertex;
                        
                        translateX: bind points[n].x
                        translateY: bind points[n].y
-----------------------------------------------------

is split to

-----------------------------------------------------
for (vertex in graph.vertices) {
        Group {
                      var n    
                 = 
                  
                  
                        
                      
                      
                          
                      
                      
                
                  
                     
                
                  
                    
                    
                  
                  
                                                           
    indexof vertex;
                        
                        translateX: bind points[n].x
                        translateY: bind points[n].y
-----------------------------------------------------
Comment 1 Alexandr Scherbatiy 2009-12-14 03:09:06 UTC
Created attachment 92506 [details]
JavaFX project
Comment 2 Anton Chechel 2009-12-16 07:19:33 UTC
fixed
http://hg.netbeans.org/javafx/rev/e7f995086405
Comment 3 Alexandr Scherbatiy 2009-12-18 04:26:29 UTC
verified in NetBeans-JavaFX-Soma: #69
Comment 4 Petr Suchomel 2010-01-15 03:52:25 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/6dd01f589312
Comment 5 Alexandr Scherbatiy 2010-01-26 05:18:29 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo